/* This file is part of the ili2ora project.
 * For more information, please see <http://www.interlis.ch>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package ch.ehi.ili2ora.gui;

import java.util.ArrayList;
import ch.ehi.basics.logging.EhiLogger;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 * @author ce
 * @version $Revision: 1.0 $ $Date: 10.02.2005 $
 */
public class MainFrame extends JFrame {

	private javax.swing.JPanel jContentPane = null;

	private javax.swing.JLabel jLabel = null;
	private javax.swing.JLabel jLabel1 = null;
	private javax.swing.JTextField dbhostUi = null;
	private javax.swing.JTextField dbportUi = null;
	private javax.swing.JLabel jLabel2 = null;
	private javax.swing.JLabel jLabel3 = null;
	private javax.swing.JLabel jLabel4 = null;
	private javax.swing.JLabel jLabel5 = null;
	private javax.swing.JLabel jLabel6 = null;
	private javax.swing.JButton connectBtn = null;
	private javax.swing.JButton doImportBtn = null;
	private javax.swing.JTextField dbnameUi = null;
	private javax.swing.JTextField dbusrUi = null;
	private javax.swing.JTextField dbpwdUi = null;
	private javax.swing.JTextField modeldirUi = null;
	private javax.swing.JTextField modelsUi = null;
	private javax.swing.JTextArea logUi = null;
	private javax.swing.JButton clearlogBtn = null;
	/**
	 * This is the default constructor
	 */
	public MainFrame() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(314, 329);
		this.setContentPane(getJContentPane());
		this.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		this.setName("ili2ora");
		this.setTitle("ili2ora");
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new javax.swing.JPanel();
			java.awt.GridBagConstraints consGridBagConstraints3 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints2 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints4 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints5 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints6 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints8 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints7 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints10 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints9 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints11 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints13 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints14 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints12 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints15 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints16 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints17 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints19 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints1 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints21 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints31 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints110 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints22 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints18 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints111 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints23 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints24 = new java.awt.GridBagConstraints();
			java.awt.GridBagConstraints consGridBagConstraints112 = new java.awt.GridBagConstraints();
			consGridBagConstraints24.weightx = 1.0;
			consGridBagConstraints24.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints24.gridy = 7;
			consGridBagConstraints24.gridx = 1;
			consGridBagConstraints112.gridy = 7;
			consGridBagConstraints112.gridx = 0;
			consGridBagConstraints112.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints23.weightx = 1.0;
			consGridBagConstraints23.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints23.gridy = 10;
			consGridBagConstraints23.gridx = 1;
			consGridBagConstraints23.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints111.gridy = 10;
			consGridBagConstraints111.gridx = 0;
			consGridBagConstraints111.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints22.weightx = 1.0;
			consGridBagConstraints22.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints22.gridy = 9;
			consGridBagConstraints22.gridx = 1;
			consGridBagConstraints110.gridy = 9;
			consGridBagConstraints110.gridx = 0;
			consGridBagConstraints110.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints18.gridx = 2;
			consGridBagConstraints18.gridy = 6;
			consGridBagConstraints31.weightx = 1.0;
			consGridBagConstraints31.weighty = 1.0;
			consGridBagConstraints31.fill = java.awt.GridBagConstraints.BOTH;
			consGridBagConstraints31.gridx = 0;
			consGridBagConstraints31.gridy = 11;
			consGridBagConstraints31.gridheight = 3;
			consGridBagConstraints31.gridwidth = 2;
			consGridBagConstraints1.gridx = 0;
			consGridBagConstraints1.gridy = 8;
			consGridBagConstraints1.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints21.weightx = 1.0;
			consGridBagConstraints21.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints21.gridx = 1;
			consGridBagConstraints21.gridy = 8;
			consGridBagConstraints16.weightx = 1.0;
			consGridBagConstraints16.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints16.gridx = 1;
			consGridBagConstraints16.gridy = 5;
			consGridBagConstraints13.weightx = 1.0;
			consGridBagConstraints13.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints13.gridx = 1;
			consGridBagConstraints13.gridy = 2;
			consGridBagConstraints15.weightx = 1.0;
			consGridBagConstraints15.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints15.gridx = 1;
			consGridBagConstraints15.gridy = 4;
			consGridBagConstraints17.weightx = 1.0;
			consGridBagConstraints17.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints17.gridx = 1;
			consGridBagConstraints17.gridy = 6;
			consGridBagConstraints11.gridx = 2;
			consGridBagConstraints11.gridy = 4;
			consGridBagConstraints5.weightx = 1.0;
			consGridBagConstraints5.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints5.gridx = 1;
			consGridBagConstraints5.gridy = 1;
			consGridBagConstraints5.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints6.gridx = 0;
			consGridBagConstraints6.gridy = 2;
			consGridBagConstraints8.gridx = 0;
			consGridBagConstraints8.gridy = 4;
			consGridBagConstraints7.gridx = 0;
			consGridBagConstraints7.gridy = 3;
			consGridBagConstraints7.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints10.gridx = 0;
			consGridBagConstraints10.gridy = 6;
			consGridBagConstraints10.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints14.weightx = 1.0;
			consGridBagConstraints14.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints14.gridx = 1;
			consGridBagConstraints14.gridy = 3;
			consGridBagConstraints9.gridx = 0;
			consGridBagConstraints9.gridy = 5;
			consGridBagConstraints9.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints4.weightx = 1.0;
			consGridBagConstraints4.fill = java.awt.GridBagConstraints.HORIZONTAL;
			consGridBagConstraints4.gridx = 1;
			consGridBagConstraints4.gridy = 0;
			consGridBagConstraints4.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints8.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints12.gridx = 2;
			consGridBagConstraints12.gridy = 11;
			consGridBagConstraints19.gridx = 2;
			consGridBagConstraints19.gridy = 12;
			consGridBagConstraints3.gridx = 0;
			consGridBagConstraints3.gridy = 1;
			consGridBagConstraints3.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints2.gridx = 0;
			consGridBagConstraints2.gridy = 0;
			consGridBagConstraints2.anchor = java.awt.GridBagConstraints.NORTHWEST;
			consGridBagConstraints6.anchor = java.awt.GridBagConstraints.NORTHWEST;
			jContentPane.setLayout(new java.awt.GridBagLayout());
			jContentPane.add(getJLabel(), consGridBagConstraints2);
			jContentPane.add(getJLabel1(), consGridBagConstraints3);
			jContentPane.add(getDbhostUi(), consGridBagConstraints4);
			jContentPane.add(getDbportUi(), consGridBagConstraints5);
			jContentPane.add(getJScrollPane(), consGridBagConstraints31);
			jContentPane.add(getJLabel2(), consGridBagConstraints6);
			jContentPane.add(getJLabel3(), consGridBagConstraints7);
			jContentPane.add(getJLabel4(), consGridBagConstraints8);
			jContentPane.add(getJLabel5(), consGridBagConstraints9);
			jContentPane.add(getJLabel6(), consGridBagConstraints10);
			jContentPane.add(getConnectBtn(), consGridBagConstraints11);
			jContentPane.add(getDoImportBtn(), consGridBagConstraints12);
			jContentPane.add(getDbnameUi(), consGridBagConstraints13);
			jContentPane.add(getDbusrUi(), consGridBagConstraints14);
			jContentPane.add(getDbpwdUi(), consGridBagConstraints15);
			jContentPane.add(getModeldirUi(), consGridBagConstraints16);
			jContentPane.add(getModelsUi(), consGridBagConstraints17);
			jContentPane.add(getClearlogBtn(), consGridBagConstraints19);
			jContentPane.add(getJLabel7(), consGridBagConstraints1);
			jContentPane.add(getDropscriptUi(), consGridBagConstraints21);
			jContentPane.add(getJButton(), consGridBagConstraints18);
			jContentPane.add(getJLabel8(), consGridBagConstraints110);
			jContentPane.add(getXtfUi(), consGridBagConstraints22);
			jContentPane.add(getJLabel9(), consGridBagConstraints111);
			jContentPane.add(getMappingconfigUi(), consGridBagConstraints23);
			jContentPane.add(getJLabel10(), consGridBagConstraints112);
			jContentPane.add(getCreatescriptUi(), consGridBagConstraints24);
		}
		return jContentPane;
	}
	/**
	 * This method initializes jLabel
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel() {
		if(jLabel == null) {
			jLabel = new javax.swing.JLabel();
			jLabel.setText("dbhost");
		}
		return jLabel;
	}
	/**
	 * This method initializes jLabel1
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel1() {
		if(jLabel1 == null) {
			jLabel1 = new javax.swing.JLabel();
			jLabel1.setText("dbport");
		}
		return jLabel1;
	}
	/**
	 * This method initializes dbhostUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDbhostUi() {
		if(dbhostUi == null) {
			dbhostUi = new javax.swing.JTextField();
		}
		return dbhostUi;
	}
	/**
	 * This method initializes dbportUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDbportUi() {
		if(dbportUi == null) {
			dbportUi = new javax.swing.JTextField();
		}
		return dbportUi;
	}
	/**
	 * This method initializes jLabel2
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel2() {
		if(jLabel2 == null) {
			jLabel2 = new javax.swing.JLabel();
			jLabel2.setText("dbname");
		}
		return jLabel2;
	}
	/**
	 * This method initializes jLabel3
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel3() {
		if(jLabel3 == null) {
			jLabel3 = new javax.swing.JLabel();
			jLabel3.setText("dbusr");
		}
		return jLabel3;
	}
	/**
	 * This method initializes jLabel4
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel4() {
		if(jLabel4 == null) {
			jLabel4 = new javax.swing.JLabel();
			jLabel4.setText("dbpwd");
		}
		return jLabel4;
	}
	/**
	 * This method initializes jLabel5
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel5() {
		if(jLabel5 == null) {
			jLabel5 = new javax.swing.JLabel();
			jLabel5.setText("modeldir");
		}
		return jLabel5;
	}
	/**
	 * This method initializes jLabel6
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel6() {
		if(jLabel6 == null) {
			jLabel6 = new javax.swing.JLabel();
			jLabel6.setText("models");
		}
		return jLabel6;
	}
	/**
	 * This method initializes connectBtn
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getConnectBtn() {
		if(connectBtn == null) {
			connectBtn = new javax.swing.JButton();
			connectBtn.setText("test connection");
			connectBtn.setToolTipText("test connection");
			connectBtn.setName("connectBtn");
			connectBtn.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					String dbhost=getDbhost();
					if(dbhost==null){
						EhiLogger.logError("no dbhost given");
						return;
					}
					String dbport=getDbport();
					if(dbport==null){
						EhiLogger.logError("no dbport given");
						return;
					}
					String dbname=getDbname();
					if(dbname==null){
						EhiLogger.logError("no dbname given");
						return;
					}
					String dbusr=getDbusr();
					if(dbusr==null){
						EhiLogger.logError("no dbusr given");
						return;
					}
					String dbpwd=getDbpwd();
					if(dbpwd==null){
						EhiLogger.logError("no dbpwd given");
						return;
					}
					java.sql.Connection conn=null;
					String url = "jdbc:oracle:thin:@" + dbhost + ":" + dbport + ":" + dbname;
					try{
					  java.sql.DriverManager.registerDriver(new oracle.jdbc.OracleDriver());
					  conn = java.sql.DriverManager.getConnection(url, dbusr, dbpwd);
					  conn.close();
					}catch(Exception ex){
						JOptionPane.showMessageDialog(MainFrame.this,  ex.toString(),"ili2ora", JOptionPane.ERROR_MESSAGE); 
						return;
					}
					JOptionPane.showMessageDialog(MainFrame.this, "Successfully connected","ili2ora", JOptionPane.INFORMATION_MESSAGE); 
				}
			});
		}
		return connectBtn;
	}
	/**
	 * This method initializes doImportBtn
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getDoImportBtn() {
		if(doImportBtn == null) {
			doImportBtn = new javax.swing.JButton();
			doImportBtn.setText("import");
			doImportBtn.setName("doImportBtn");
			doImportBtn.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
						// TODO disable buttons
						SwingWorker worker = new SwingWorker() {
							public Object construct() {
								try {
									ch.ehi.ili2ora.Main.run(
										getDbhost(),
										getDbport(),
										getDbname(),
										getDbusr(),
										getDbpwd(),
										getModeldir(),
										getModels(),
										getCreatescript(),
										getDropscript(),
										getXtffile(),
										getMappingconfig());
								}
								catch (Exception ex) {
									EhiLogger.logError("import failed",ex);
								}
								return null;
							}
						};
						worker.start();
				}
			});
		}
		return doImportBtn;
	}
	/**
	 * This method initializes dbnameUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDbnameUi() {
		if(dbnameUi == null) {
			dbnameUi = new javax.swing.JTextField();
		}
		return dbnameUi;
	}
	/**
	 * This method initializes dbusrUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDbusrUi() {
		if(dbusrUi == null) {
			dbusrUi = new javax.swing.JTextField();
		}
		return dbusrUi;
	}
	/**
	 * This method initializes dbpwdUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDbpwdUi() {
		if(dbpwdUi == null) {
			dbpwdUi = new javax.swing.JTextField();
		}
		return dbpwdUi;
	}
	/**
	 * This method initializes modeldirUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getModeldirUi() {
		if(modeldirUi == null) {
			modeldirUi = new javax.swing.JTextField();
		}
		return modeldirUi;
	}
	/**
	 * This method initializes modelsUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getModelsUi() {
		if(modelsUi == null) {
			modelsUi = new javax.swing.JTextField();
		}
		return modelsUi;
	}
	/**
	 * This method initializes logUi
	 * 
	 * @return javax.swing.JTextArea
	 */
	private javax.swing.JTextArea getLogUi() {
		if(logUi == null) {
			logUi = new javax.swing.JTextArea();
			logUi.setEditable(false);
		}
		return logUi;
	}
	/**
	 * This method initializes clearlogBtn
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getClearlogBtn() {
		if(clearlogBtn == null) {
			clearlogBtn = new javax.swing.JButton();
			clearlogBtn.setText("clear log");
			clearlogBtn.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					logClear();
				}
			});
		}
		return clearlogBtn;
	}
	public String getDbhost(){
		return strip(getDbhostUi().getText());
	}
	public void setDbhost(String dbhost){
		getDbhostUi().setText(dbhost);
	}
	public String getDbport(){
		return strip(getDbportUi().getText());
	}
	public void setDbport(String dbport){
		getDbportUi().setText(dbport);
	}
	public String getDbname(){
		return strip(getDbnameUi().getText());
	}
	public void setDbname(String dbname){
		getDbnameUi().setText(dbname);
	}
	public String getDbusr(){
		return strip(getDbusrUi().getText());
	}
	public void setDbusr(String dbusr){
		getDbusrUi().setText(dbusr);
	}
	public String getDbpwd(){
		return strip(getDbpwdUi().getText());
	}
	public void setDbpwd(String dbpwd){
		getDbpwdUi().setText(dbpwd);
	}
	public String getModeldir(){
		return strip(getModeldirUi().getText());
	}
	public void setModeldir(String modeldir){
		getModeldirUi().setText(modeldir);
	}
	public String getModels(){
		return strip(getModelsUi().getText());
	}
	public void setModels(String models){
		getModelsUi().setText(models);
	}
	public String getDropscript(){
		return strip(getDropscriptUi().getText());
	}
	public void setDropscript(String dropscript){
		getDropscriptUi().setText(dropscript);
	}
	public String getCreatescript(){
		return strip(getCreatescriptUi().getText());
	}
	public void setCreatescript(String createscript){
		getCreatescriptUi().setText(createscript);
	}
	public String getXtffile(){
		return strip(getXtfUi().getText());
	}
	public void setMappingconfig(String configfile){
		getMappingconfigUi().setText(configfile);
	}
	public String getMappingconfig(){
		return strip(getMappingconfigUi().getText());
	}
	public void setXtffile(String file){
		getXtfUi().setText(file);
	}
	private StringBuffer body=new StringBuffer();
	private javax.swing.JLabel jLabel7 = null;
	private javax.swing.JTextField dropscriptUi = null;
	private javax.swing.JScrollPane jScrollPane = null;
	private javax.swing.JButton jButton = null;
	private javax.swing.JLabel jLabel8 = null;
	private javax.swing.JTextField xtfUi = null;
	private javax.swing.JLabel jLabel9 = null;
	private javax.swing.JTextField mappingconfigUi = null;
	private javax.swing.JLabel jLabel10 = null;
	private javax.swing.JTextField createscriptUi = null;
	public void logAppend(String msg){
		body.append(msg);
		if(!msg.endsWith("\n")){
			body.append("\n");
		}
		getLogUi().setText(body.toString());
	}
	public void logClear(){
		body=new StringBuffer();
		getLogUi().setText(body.toString());
	}
	/**
	 * This method initializes jLabel7
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel7() {
		if(jLabel7 == null) {
			jLabel7 = new javax.swing.JLabel();
			jLabel7.setText("dropscript");
		}
		return jLabel7;
	}
	/**
	 * This method initializes dropscriptUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getDropscriptUi() {
		if(dropscriptUi == null) {
			dropscriptUi = new javax.swing.JTextField();
		}
		return dropscriptUi;
	}
	/**
	 * This method initializes jScrollPane
	 * 
	 * @return javax.swing.JScrollPane
	 */
	private javax.swing.JScrollPane getJScrollPane() {
		if(jScrollPane == null) {
			jScrollPane = new javax.swing.JScrollPane();
			jScrollPane.setViewportView(getLogUi());
		}
		return jScrollPane;
	}
	/**
	 * This method initializes jButton
	 * 
	 * @return javax.swing.JButton
	 */
	private javax.swing.JButton getJButton() {
		if(jButton == null) {
			jButton = new javax.swing.JButton();
			jButton.setText("check model");
			jButton.setToolTipText("tests if all required models compile");
			jButton.setName("compile");
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					String modeldir=getModeldir();
					if(modeldir==null){
						EhiLogger.logError("no modeldir given");
						return;
					}
					ArrayList modelv=new ArrayList();
					String models=getModels();
					if(models==null){
						EhiLogger.logError("no models given");
						return;
					}
					String modelnames[]=models.split(";");
					for(int modeli=0;modeli<modelnames.length;modeli++){
						modelv.add(modelnames[modeli]);				
					}
					if(modelv.size()==0){
						EhiLogger.logError("no models given");
						return;
					}
					try{					
						if(ch.ehi.ili2ora.Main.compileIliFiles(modeldir,modelv)==null){
							JOptionPane.showMessageDialog(MainFrame.this, "Model check failed","ili2ora", JOptionPane.ERROR_MESSAGE); 
						}else{
							JOptionPane.showMessageDialog(MainFrame.this, "Model checked","ili2ora", JOptionPane.INFORMATION_MESSAGE); 
						}
					}catch(Exception ex){
						EhiLogger.logError("compiler failed",ex);
					}
					
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jLabel8
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel8() {
		if(jLabel8 == null) {
			jLabel8 = new javax.swing.JLabel();
			jLabel8.setText("Transferfile");
		}
		return jLabel8;
	}
	/**
	 * This method initializes xtfUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getXtfUi() {
		if(xtfUi == null) {
			xtfUi = new javax.swing.JTextField();
		}
		return xtfUi;
	}
	/** removes leading and trailing white space and returns null if nothing left.
	 */
	private static String strip(String value){
		String ret=value.trim();
		if(ret.length()==0){
			return null;
		}
		return ret;
	}
	/**
	 * This method initializes jLabel9
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel9() {
		if(jLabel9 == null) {
			jLabel9 = new javax.swing.JLabel();
			jLabel9.setText("mappingConfig");
		}
		return jLabel9;
	}
	/**
	 * This method initializes mappingconfigUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getMappingconfigUi() {
		if(mappingconfigUi == null) {
			mappingconfigUi = new javax.swing.JTextField();
		}
		return mappingconfigUi;
	}
	/**
	 * This method initializes jLabel10
	 * 
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel10() {
		if(jLabel10 == null) {
			jLabel10 = new javax.swing.JLabel();
			jLabel10.setText("createscript");
		}
		return jLabel10;
	}
	/**
	 * This method initializes createscriptUi
	 * 
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getCreatescriptUi() {
		if(createscriptUi == null) {
			createscriptUi = new javax.swing.JTextField();
		}
		return createscriptUi;
	}
}  //  @jve:visual-info  decl-index=0 visual-constraint="20,41"
